import request from "@/utils/request";

// 查询运行列表列表
export function listAleaves(query) {
  return request({
    url: "/aleave/aleaves/list",
    method: "get",
    params: query,
  });
}
// 查询无未公示运行列表列表
export function workbench(query) {
  return request({
    url: "/aleave/aleaves/workbench",
    method: "get",
    params: query,
  });
}

// 查询运行列表详细
export function getAleaves(id) {
  return request({
    url: "/aleave/aleaves/" + id,
    method: "get",
  });
}

// 新增运行列表
export function addAleaves(data) {
  return request({
    url: "/aleave/aleaves",
    method: "post",
    data: data,
  });
}

// 修改运行列表
export function updateAleaves(data) {
  return request({
    url: "/aleave/aleaves",
    method: "put",
    data: data,
  });
}

// 删除运行列表
export function delAleaves(id) {
  return request({
    url: "/aleave/aleaves/" + id,
    method: "delete",
  });
}
